####### tdevelop will overwrite this part!!! (begin)##########


EXTRA_DIST = hi48-mime-pgn.png hi16-mime-pgn.png KSDefault.tar.gz default-portrait.jpg hi64-app-knights.png pgn_template.kml hi64-mime-pgn.png hi32-mime-pgn.png icon-general.png hi32-app-knights.png default-engine-portrait.jpg KBDefault.tar.gz wizard.png hi48-app-knights.png KCDefault.tar.gz hi16-app-knights.png icon-display.png Makefile.am 

KBDefault.tar.gz: KBDefault
	ls $(<D)/$(^F) | xargs -r tar cfz $@ -C $(<D)/$(^F)

KCDefault.tar.gz: KCDefault
	ls $(<D)/$(^F) | xargs -r tar cfz $@ -C $(<D)/$(^F)

KSDefault.tar.gz: KSDefault
	ls $(<D)/$(^F) | xargs -r tar cfz $@ -C $(<D)/$(^F)

install-data-local: KBDefault.tar.gz KCDefault.tar.gz KSDefault.tar.gz
	$(mkinstalldirs) $(kde_icondir)/hicolor/48x48/mimetypes/
	$(INSTALL_DATA) $(srcdir)/hi48-mime-pgn.png $(kde_icondir)/hicolor/48x48/mimetypes/pgn.png
	$(mkinstalldirs) $(kde_icondir)/hicolor/16x16/mimetypes/
	$(INSTALL_DATA) $(srcdir)/hi16-mime-pgn.png $(kde_icondir)/hicolor/16x16/mimetypes/pgn.png
	$(mkinstalldirs) $(kde_datadir)/knights/themes/
	$(INSTALL_DATA) $(builddir)/KSDefault.tar.gz $(kde_datadir)/knights/themes/KSDefault.tar.gz
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/default-portrait.jpg $(kde_datadir)/knights/default-portrait.jpg
	$(mkinstalldirs) $(kde_icondir)/hicolor/64x64/apps/
	$(INSTALL_DATA) $(srcdir)/hi64-app-knights.png $(kde_icondir)/hicolor/64x64/apps/knights.png
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/splash.png $(kde_datadir)/knights/splash.png
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/pgn_template.kml $(kde_datadir)/knights/pgn_template.kml
	$(mkinstalldirs) $(kde_icondir)/hicolor/64x64/mimetypes/
	$(INSTALL_DATA) $(srcdir)/hi64-mime-pgn.png $(kde_icondir)/hicolor/64x64/mimetypes/pgn.png
	$(mkinstalldirs) $(kde_icondir)/hicolor/32x32/mimetypes/
	$(INSTALL_DATA) $(srcdir)/hi32-mime-pgn.png $(kde_icondir)/hicolor/32x32/mimetypes/pgn.png
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/icon-general.png $(kde_datadir)/knights/icon-general.png
	$(mkinstalldirs) $(kde_icondir)/hicolor/32x32/apps/
	$(INSTALL_DATA) $(srcdir)/hi32-app-knights.png $(kde_icondir)/hicolor/32x32/apps/knights.png
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/default-engine-portrait.jpg $(kde_datadir)/knights/default-engine-portrait.jpg
	$(mkinstalldirs) $(kde_datadir)/knights/themes/
	$(INSTALL_DATA) $(builddir)/KBDefault.tar.gz $(kde_datadir)/knights/themes/KBDefault.tar.gz
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/wizard.png $(kde_datadir)/knights/wizard.png
	$(mkinstalldirs) $(kde_icondir)/hicolor/48x48/apps/
	$(INSTALL_DATA) $(srcdir)/hi48-app-knights.png $(kde_icondir)/hicolor/48x48/apps/knights.png
	$(mkinstalldirs) $(kde_datadir)/knights/themes/
	$(INSTALL_DATA) $(builddir)/KCDefault.tar.gz $(kde_datadir)/knights/themes/KCDefault.tar.gz
	$(mkinstalldirs) $(kde_icondir)/hicolor/16x16/apps/
	$(INSTALL_DATA) $(srcdir)/hi16-app-knights.png $(kde_icondir)/hicolor/16x16/apps/knights.png
	$(mkinstalldirs) $(kde_datadir)/knights/
	$(INSTALL_DATA) $(srcdir)/icon-display.png $(kde_datadir)/knights/icon-display.png

uninstall-local:
	-rm -f $(kde_icondir)/hicolor/48x48/mimetypes/pgn.png
	-rm -f $(kde_icondir)/hicolor/16x16/mimetypes/pgn.png
	-rm -f $(kde_datadir)/knights/themes/KSDefault.tar.gz
	-rm -f $(kde_datadir)/knights/default-portrait.jpg
	-rm -f $(kde_icondir)/hicolor/64x64/apps/knights.png
	-rm -f $(kde_datadir)/knights/splash.png
	-rm -f $(kde_datadir)/knights/pgn_template.kml
	-rm -f $(kde_icondir)/hicolor/64x64/mimetypes/pgn.png
	-rm -f $(kde_icondir)/hicolor/32x32/mimetypes/pgn.png
	-rm -f $(kde_datadir)/knights/icon-general.png
	-rm -f $(kde_icondir)/hicolor/32x32/apps/knights.png
	-rm -f $(kde_datadir)/knights/default-engine-portrait.jpg
	-rm -f $(kde_datadir)/knights/themes/KBDefault.tar.gz
	-rm -f $(kde_datadir)/knights/wizard.png
	-rm -f $(kde_icondir)/hicolor/48x48/apps/knights.png
	-rm -f $(kde_datadir)/knights/themes/KCDefault.tar.gz
	-rm -f $(kde_icondir)/hicolor/16x16/apps/knights.png
	-rm -f $(kde_datadir)/knights/icon-display.png

####### tdevelop will overwrite this part!!! (end)############

